:root{
    --color-primary: #002147;
    --color-danger: #d62b00;
    --color-darkgreen: #00a651;
    --color-darkgreen: #006400;
    --color-lightgreen: #90EE90;
    --color-warning: #e86c18;
    --color-white: #fff;
    --color-white-white: #fff;
    --color-plain-white: #fff;
    --color-plain-black: #ffff;
    --color-info-dark: #a0a0a0;
    --color-info-light: #dce1eb;
    --color-black-black: #0000;
    --color-dark: #363949;
    --color-light: rgba(132, 139, 200, 0.18);
    --color-primary-variant: #111e88;
    --color-dark-variant: #677483;
    --color-background: #f6f6f9;
    --color-blue: #0066DE;
    --color-gold: rgb(255, 215, 0);
    --color-dark-shade: #202528;
    --back:rgba(0, 0, 0, 0.5);


    --background: linear-gradient(135deg, #002147 0%, #092c4e 50%, #4ea5fb 100%);


    --card-border-radius: 2rem;
    --border-radius-1: 0.4rem;
    --border-radius-2: 0.8rem;
    --border-radius-3: 1.2rem;

    --card-padding: 1.8rem;
    --padding-1: 1.2rem;

    --box-shadow: 0 0rem 1rem var(--neon-blue);
    --box-shadow2: 0 0rem 1rem var(--color-dark);


    --neon-blue: #00a651; /* Define neon blue color as a CSS variable */
    --neon-box-shadow: 
        0 0 1px var(--neon-blue),
        0 0 2px var(--neon-blue),
        0 0 3px var(--neon-blue),
        0 0 4px var(--neon-blue),
        0 0 5px var(--neon-blue); /* Define neon box shadow as a CSS variable */

}

/*=====================================DARK THEME VARIABLES=======================*/

.dark-theme-variables {
    --color-background: #000;
    --color-white: #0000;
    --color-white-white: #fff;
    --color-dark: #edeffd;
    --color-dark-variant: #a3bdcc;
    --color-light: rgba(0, 0, 0, 0.4);
    --color-dark-shade: #dce1eb;
    --color-plain-white: silver;
    --color-plain-black: #000;
    --color-black-black: #0000;



    box-shadow:  1px 1px 1px 1px var(--color-info-light);
    
}

body {
    margin: 0;
    box-sizing: border-box;
    background: var(--color-background);
    font-family: 'Quantico', sans-serif;
    letter-spacing: 1px;
}


header {
    background-color: #007bff; /* Blue background for the header */
    color: white;
    padding: 15px;
    text-align: center;
    font-size: 1.5em;
    position: sticky;
    top: 0;
    width: 100%;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1); /* Optional: Adds shadow to the header */
}

.container {
    display: grid;
    grid-template-columns: 20% 60% 20%;
    gap: 10px; /* Optional: Adds space between columns */
    padding: 10px; /* Optional: Adds padding around the container */
    max-width: 100vw;
   overflow-x: hidden;
}

.theme-toggler{
    display: flex;
    justify-content: space-around;
    gap: 0;
    align-items: center;
    height: 1.6rem;
    width: 4.2rem;
    cursor: pointer;
    margin: 3% 5%;
    margin-top: 10%;
 }

.theme-toggler span{
    font-size: 1.2rem;
    width: 50%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--color-dark);
    background: var(--color-white);
    padding: 5px;

 }
 .theme-toggler span:nth-child(1){
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
 }
 .theme-toggler span:nth-child(2){
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
 }

 .theme-toggler span.active{
    background: var(--color-darkgreen);
    color: white;
 }

.left, .middle, .right {
    padding: 20px;
    border: 1px solid  var(--neon-blue);
    box-shadow: var(--neon-box-shadow); /* Optional: Adds shadow to the header */
}

.left {
   border-radius: 12px;
   display: flex;
   flex-direction: column;
   align-items: center;
   padding-left: 5px;
   padding-right: 5px;
}
a{
    text-decoration: none;
    -webkit-tap-highlight-color: transparent;
}

.left img {
    height: auto;
    border-radius: 8px; /* Optional: Rounded corners for the image */
    margin-bottom: 20px; /* Space between image and vitals */
}


.vitals {
    text-align: left;
    padding: 10px;
    color: var(--color-dark);
    width: 90%;
}
.vitals p{
    margin: 1%;
    padding: 3px;
    border-bottom: 1px solid var(--neon-blue);
    width: 100%;
    padding-bottom: 2%;
    font-weight: 600;
}
.vitals h2{
    font-size: 17px;
    color: var(--neon-blue);
}
.vitals p{
    font-size: 12px;
}

.middle {
  border-radius: 10px;
}

.right {
  border-radius: 10px;
}
h1{
    margin: 0;
}
.bodyss{
    display: grid;
    grid-template-columns: 50% 50%;
    justify-content: center;
    width: 100%;
    position: relative;
}
.bodyss::before {
    content: "";
    position: absolute;
    width: 2px;            /* Thickness of the vertical line */
    height: 80%;           /* Adjust the height of the line */
    background-color: var(--neon-blue); /* Color of the line */
    top: 10%;              /* Position the line vertically in the center */
    left: 50%;             /* Position the line horizontally in the center */
    transform: translateX(-50%); /* Center the line horizontally */
}
.expbtn{
    width: 100%;
    display: flex;
    justify-content: center;
}

.vitalbdy{
    display: flex;
    align-items: flex-start;
    flex-direction: column;
}

.imageContainer {
    overflow: hidden;
    transition: width 0.5s ease, height 0.5s ease;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 22%;
    border-radius: 10px;
}
.imageContainer:nth-child(2){
    padding-top: 19%;
}
.imageContainer img{
    width: 100%;
}
.imageContainer button{
   background: none;
   border-radius: 50%;
   border: 1px solid var(--neon-blue);
   padding: 5px;
   display: flex;
   align-items: center;
   justify-content: center;
}
.imageContainer button i {
    color: var(--color-danger);
    font-size: 15px;
}

.expandableImage {
    transition: transform 0.5s ease;
}
.expandableImage:hover{
    transform: scale(1.2);
}
.shadow {
    position: absolute;
    width: 30%;
    height: 20px; /* Adjust the height of the shadow */
    background: var(--back);
    filter: blur(10px);
    transform: translateX(-50%);
    border-radius: 50%;
    top: 86%;
}
.shadow.pop {
    position: absolute;
    width: 30%;
    height: 25px; /* Adjust the height of the shadow */
    background: var(--back);
    filter: blur(10px);
    transform: translateX(-50%);
    border-radius: 50%;
    top: 95%;
    left: 16%;
}

.expanded {
    width: 100%;
    height: auto;
    transform: scale(1.2);
    border: none;
}


.expandButton {
    margin: 20px;
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
}
.rates{
    text-align: center;
    padding: 5px;
    border: 1px solid var(--neon-blue);
    border-radius: 10px;
    width: 95%;
    margin-top: 6%;
    box-shadow: var(--box-shadow);

}
.rates h1{
    color: var(--color-warning);
    font-size: 13px;
    margin: 1%;
    margin-bottom: 5%;
}
.monitor {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
canvas {
    background:  transparent;
    border-radius: 10px;
    box-shadow: var(--box-shadow2);
    padding: 15px 15px;
    width: 90%;
    height: 10vh;
    border: 3px solid var(--color-darkgreen);
}

.info {
    text-align: left;
    padding-left: 20px;
    width: 90%;
    color:  var(--neon-blue);
}
.info p {
    font-size: 10px;
    margin: 5px 0;
    font-weight: 600;
    border-bottom: 1px solid var(--neon-blue);

}
.info strong{
  font-size: 12px;
  color: var(--color-warning);
}
.info span{
    width: 100%;
    color: var(--neon-blue);
    font-weight: 600;
    font-size: 15px;
}
.loading-spinner {
    border: 4px solid #f3f3f3; /* Light gray */
    border-top: 4px solid #3498db; /* Blue */
    border-radius: 50%;
    width: 20px;
    height: 20px;
    animation: spin 1s linear infinite;
    margin: auto;
}
@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}


.map {
    height: 400px; /* Set the height of the map */
    width: 100%; /* Set the width of the map */
    border: 3px solid var(--color-lightgreen);
    border-radius: 12px;
}
.info-box {
    position: absolute;
    top: 50px;
    right: 10px;
    z-index: 1000;
    padding: 10px;
    background-color: rgba(255, 255, 255, 0.8);
    border-radius: 5px;
    border: 2px solid  var(--color-lightgreen);
    max-width: 200px;
    font-size: 12px;
}
.leaflet-control-container .leaflet-routing-container-hide{
    display: none;
}


.details-popup {
    position: absolute;
    background-color: var(--color-background);
    color:  var(--color-darkgreen);
    padding: 15px;
    border-radius: 10px;
    box-shadow: var(--box-shadow);
    max-width: 200px;
    display: none;
    z-index: 1000;
    transform: translate(4%, 40%);
}

.close-button {
    background-color:  var(--neon-blue);
    border: none;
    color: var(--color-plain-white);
    padding: 5px 10px;
    border-radius: 5px;
    cursor: pointer;
    font-size: 14px;
    margin-top: 10px;
    display: inline-block;
    display: flex;
    align-items: center;
}

.facil{
    display: flex;
    gap: 5px;
    margin-top: 2%;
}
.faces{

}
.faces.insface{
    display: flex;
    align-items: center;
    justify-content: space-around;
}
.insface{
    display: flex;
    gap: 5px;
    margin-bottom: 1% ;
}
.faces .fca{
    width: 200px;
    height:fit-content;
    border: 1px solid var(--neon-blue);
    padding: 10px;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
    color: var(--color-dark);
}
.fca img{
    width: 80%;
    transition: all 300ms ease;
}
.fca img:hover{
    transform: scale(1.1);
}
.des{
    border: 1px solid var(--neon-blue);
    border-radius: 5px;
    padding: 5px;
    margin-top: 5%;
    width: 100%;
}
.des p{
    border-bottom: 1px solid var(--neon-blue);
    padding: 1px;
    padding-left: 5px;
    font-weight: 600;
}
.fca p{
    font-size: 11px;
    margin: 1%;
}


.mapb {
    height: 360px; /* Set the height of the map */
    width: 100%; /* Set the width of the map */
    border: 3px solid var(--color-lightgreen);
    border-radius: 12px;
    position: relative;
    z-index: 10;
}
.leaflet-control-attribution a {
    text-decoration: none;
    display: none;
}

.heat-container {
    position: absolute;
    width: 100%;
    height: 100%;
    background-size: cover;
    overflow: hidden;
    clip-path: inset(0 0 0 0); /* Restrict content within container */
    overflow: hidden;
    z-index: 999;
}

.heat {
    position: absolute;
    width: 20px;
    height: 20px;
    background: radial-gradient(circle, rgb(255, 0, 0), rgba(255, 0, 0, 0));
    border-radius: 50%;
    filter: blur(0px);
    animation: moveHeat 8s infinite;
}

.heat:nth-child(2) {
    animation-delay: 2s;
    background: radial-gradient(circle, rgb(0, 255, 255), rgba(255, 255, 255, 0));
}

.heat:nth-child(3) {
    animation-delay: 4s;
    background: radial-gradient(circle, rgba(255, 255, 0, 0.957), rgba(255, 255, 255, 0));
}

@keyframes moveHeat {
    0% {
        top: 20%;
        left: 20%;
        opacity: 0.5;
    }
    5% {
        top: 40%;
        left: 40%;
        opacity: 0.8;
    }
    15% {
        top: 60%;
        left: 60%;
        opacity: 0.6;
    }
    25% {
        top: 80%;
        left: 40%;
        opacity: 0.9;
    }
    50% {
        top: 20%;
        left: 20%;
        opacity: 0.5;
    }
    65% {
        top: 20%;
        left: 80%;
        opacity: 0.5;
    }
    75% {
        top: 60%;
        left: 10%;
        opacity: 0.5;
    }
    85% {
        top: 40%;
        left: 70%;
        opacity: 0.5;
    }
    100% {
        top: 20%;
        left: 20%;
        opacity: 0.5;
    }
}

.oppa{
    padding: 5px;
}
.oppa h2{
    color: var(--color-dark);
    font-size: 18px;
    width: 100%;
    border-bottom: 1px solid var(--neon-blue);
    text-align: center;
    padding-bottom: 2%;
}
.phs{
    color: var(--color-dark);
    font-size: 14px;
    height: 95vh;
    overflow-y: scroll; /* Allow vertical scrolling */
    -ms-overflow-style: none; /* Hide scrollbar for IE and Edge */
    scrollbar-width: none; /* Hide scrollbar for Firefox */
}

.phs::-webkit-scrollbar {
    display: none; /* For Chrome, Safari, and Opera */
  }
.phs span{
    color: var(--color-warning);
    font-weight: 600;
}
.phass{
    font-weight: 700;
    color: var(--color-darkgreen);
    border-bottom: 1px solid var(--neon-blue);
    padding-bottom: 2%;
}


.popup {
    display: none;
    position: fixed;
    top: 5%;
    left: 5%;
    transform: translate(-50%, -50%);
    width: 85%;
    height: fit-content;
    padding: 20px;
    background-color:  var(--color-background);
    border: 2px solid var(--neon-blue);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    z-index: 1000;
    border-radius: 10px;
    color: var(--color-dark);
    opacity: 0;
    transform: scale(0.2); /* Start smaller */
    transition: transform 0.9s ease, opacity 0.9s ease;

}
.popup.active {
    display: block;
    opacity: 1;
    transform: scale(1);

}
.overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.699);
    z-index: 999;
}
.overlay.active {
    display: block;
}
.close-buttonpop {
    background-color: var(--color-background);
    border: 1px solid var(--color-dark);
    border-radius: 50%;
    color: white;
    padding: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    float: right;
}
.close-buttonpop i{
    color: var(--color-dark);
}
.pop_dets{
    display: grid;
    grid-template-columns: 33.3% 33.3% 33.3%;
}


.imageContainer.pop{
    padding-top: 2%;
}
.imageContainer.pop img{
    width: 100%;
}
.expandableImage.pop:hover{
    transform: scale(1.1);
}

.heartRateCanvas{
    height: 15vh;
}
.rates.pop h1{
    color: var(--neon-blue);
    font-size: 18px;
}
.info.pop{

}
.vitals.pop{
    overflow-y: scroll; /* Allow vertical scrolling */
    overflow-x: hidden;
    -ms-overflow-style: none; /* Hide scrollbar for IE and Edge */
    scrollbar-width: none; /* Hide scrollbar for Firefox */
    height: 30vh;
    width: 96%;
}
.vitals.pop.det{
    height: 80vh;
}
.vitals.pop::-webkit-scrollbar {
    display: none; /* For Chrome, Safari, and Opera */
  }
.vitals.pop h2{
    margin: 1%;
}
.vitals.pop p{
    display: flex;
    justify-content: space-between;
}
.vitals.pop strong{
    color: var(--color-darkgreen);
    font-weight: 700;
    font-size: 13px;
}
.info.pop.des{
    padding-left: 0px;
    overflow-y: scroll; /* Allow vertical scrolling */
    -ms-overflow-style: none; /* Hide scrollbar for IE and Edge */
    scrollbar-width: none; /* Hide scrollbar for Firefox */
    height: 50vh;
}
.info.pop{
    padding-left: 0px;
    overflow-y: scroll; /* Allow vertical scrolling */
    -ms-overflow-style: none; /* Hide scrollbar for IE and Edge */
    scrollbar-width: none; /* Hide scrollbar for Firefox */
    overflow-x: hidden;
    height: 50vh;
}
.info.pop.det{
    height: 18vh;
    margin-bottom: 2%;
}
.info.pop::-webkit-scrollbar {
    display: none; /* For Chrome, Safari, and Opera */
  }
.des.pop{
    border: none;
    overflow-y: scroll; /* Allow vertical scrolling */
    -ms-overflow-style: none; /* Hide scrollbar for IE and Edge */
    scrollbar-width: none; /* Hide scrollbar for Firefox */
    height: 80vh;
}

.des.pop::-webkit-scrollbar {
    display: none; /* For Chrome, Safari, and Opera */
  }

.des.pop strong{
   color: var(--color-darkgreen);
}



@media (max-width: 1200px) { /* Adjust the breakpoint as needed */
    .container {
        grid-template-columns: 38% 60%; /* First two columns side by side */
        grid-template-rows: auto auto;  /* Allows the third div to fall underneath */
        grid-template-areas:
            "left middle"
            "right right"; /* Places the third div underneath */
    }
    .left {
        grid-area: left;
    }

    .middle {
        grid-area: middle;
    }

    .right {
        grid-area: right;
    }
    .facil{ 
        flex-direction: column;
    }
    .insface {
        justify-content: center;
    }
    .popup{
        left: 2%;
        width: 90%;
        height: fit-content;
    }
    .popimg{
        display: flex;
        align-items: center;
    }
    .pop_dets {
        width: 100%;
        gap: 5px;
    }
    .des.pop{
        height: 50vh;
    }
    .info.pop{
        height: 29vh;
    }
    .info.pop.det {
        height: 10vh;
    }
    .vitals {
        padding: 11px;
    }
    .vitals.pop{
        height: 14vh;
        margin-top: 3%;
        width: 94%;
    }
    .vitals.pop.det {
        height: 46vh;
    }
    
    .info-box {
        max-width: 140px;
        font-size: 11px;
    }
}
@media (max-width: 768px){
  .container{
    display: flex;
    flex-direction: column;
  }
  .faces .fca{
    width: fit-content;
  }
  .middle{
    padding: 5px;
  }
  .rates{
    width: 97%;
  }
  .rates h1{
    font-size: 20px;
  }
  canvas {
    margin-bottom: 3%;
  }
  .popup{
    top: 2%;
    left: 0;
    padding: 7px;
    width: 95%;
    height: 100%;
  }
  .pop_dets{
    display: flex;
    flex-direction: column;
    overflow-y: scroll; /* Allow vertical scrolling */
    -ms-overflow-style: none; /* Hide scrollbar for IE and Edge */
    scrollbar-width: none; /* Hide scrollbar for Firefox */
    height: 90vh;
    padding-right: 1%;
    margin-bottom: 20%;
  }
  .pop_dets::-webkit-scrollbar {
    display: none; /* For Chrome, Safari, and Opera */
  }
  .shadow.pop{
    position: relative;
    width: 50%;
    left: 25%;
  }
  .info-box {
    max-width: 111px;
    font-size: 9px;
}
.info-box {
    top: 43px;
}
.info.pop.det {
    height: 22vh;
}
.info.pop {
    height: 49vh;
}
.vitals {
    padding: 5px;
}
.vitals.pop {
    height: 33vh;
}
.vitals.pop.det {
    height: 65vh;
}
.des.pop {
    display: contents;
}
}